4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.User

XSLT extension elements and functions supporting the 4SS User API
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ChangeUserPasswordElement, SetUserNameElement |  |  |  | Functions: GetUserData, GetUserDataKeys, GetUserName, RemoveUserData, SetUserData |  |  |  | Fields: ExtElements, ExtFunctions, FTSERVER_NAMESPACE, SCORE_NS

## Classes

class ChangeUserPasswordElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Changes the password of the specified user resource.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'new-password': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

class SetUserNameElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Set the username of a user resource.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'new-name': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

## Functions

GetUserData(context, key, path=None)
Gets property data associated with a user
GetUserDataKeys(context, path=None)
Gets the names of properties associated with a user
GetUserName(context, path)
Get the user name given the path to a user resource. If the path is invalid or does not give a user object, '' is returned.
RemoveUserData(context, key, path=None)
Erases property data associated with a user
SetUserData(context, key, value, path=None)
Sets property data associated with a user

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/score', 'change-password'): <class Ft.Server.Server.Xslt.User.ChangeUserPasswordElement>, ('http://xmlns.4suite.org/4ss/score', 'set-username'): <class Ft.Server.Server.Xslt.User.SetUserNameElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/score', 'get-user-data'): <function GetUserData>, ('http://xmlns.4suite.org/4ss/score', 'get-user-data-keys'): <function GetUserDataKeys>, ('http://xmlns.4suite.org/4ss/score', 'get-username'): <function GetUserName>, ('http://xmlns.4suite.org/4ss/score', 'remove-user-data'): <function RemoveUserData>, ('http://xmlns.4suite.org/4ss/score', 'set-user-data'): <function SetUserData>}
FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
SCORE_NS = 'http://xmlns.4suite.org/4ss/score'